MultiFinderPatternFinder (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.multi.qrcode.detector, class: MultiFinderPatternFinder

Package com.google.zxing.multi.qrcode.detector

# Class MultiFinderPatternFinder

java.lang.Object
com.google.zxing.qrcode.detector.FinderPatternFinder
com.google.zxing.multi.qrcode.detector.MultiFinderPatternFinder

public final class MultiFinderPatternFinder extends FinderPatternFinder

This class attempts to find finder patterns in a QR Code. Finder patterns are the square markers at three corners of a QR Code.

This class is thread-safe but not reentrant. Each thread must allocate its own object.

In contrast to `FinderPatternFinder`, this class will return an array of all possible QR code locations in the image.

Use the TRY_HARDER hint to ask for a more thorough detection.

Author:
  Sean Owen, Hannes Erven

- ## Field Summary

  ### Fields inherited from class com.google.zxing.qrcode.detector.FinderPatternFinder

  `MAX_MODULES, MIN_SKIP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiFinderPatternFinder(BitMatrix image, ResultPointCallback resultPointCallback)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FinderPatternInfo[]`
  `findMulti(Map<DecodeHintType,?> hints)`

  ### Methods inherited from class com.google.zxing.qrcode.detector.FinderPatternFinder

  `clearCounts, doClearCounts, doShiftCounts2, foundPatternCross, foundPatternDiagonal, getImage, getPossibleCenters, handlePossibleCenter, handlePossibleCenter, shiftCounts2`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiFinderPatternFinder

    public MultiFinderPatternFinder(BitMatrix image, ResultPointCallback resultPointCallback)

- ## Method Details

  - ### findMulti

    public FinderPatternInfo[] findMulti(Map<DecodeHintType,?> hints) throws NotFoundException
    Throws:
      `NotFoundException`